$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.89.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-22.0.89.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '0B0D0C30733E23A66DF790E7D55D0C9B5337CC17AF6E7B11466ADF578134FDAD'
  checksumType = 'sha256'
  checksum64 = '0B0D0C30733E23A66DF790E7D55D0C9B5337CC17AF6E7B11466ADF578134FDAD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-22.0.89-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
